#include "jx_uart_send.h"

// UART0_RX串口通信消息头
const unsigned char g_uart_send_head_UART0_RX[] = {
  0x01, 0x02
};

// UART0_RX串口通信消息尾
const unsigned char g_uart_send_foot_UART0_RX[] = {
  0x02, 0x01
};

// 串口发送函数实现
void _uart_send_impl(int port, unsigned char* buff, int len) {
  // TODO: 调用项目实际的串口发送函数
  /*
  int i = 0;
  unsigned char c;
  for (i = 0; i < len; i++) {
    c = buff[i];
    printf("%02X ", c);
  }
  printf("\n");
  */
}

// action: A1
void _uart_A1(unsigned char A1) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A1;
  param.d_uchar = A1;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 6);
}

// action: A2
void _uart_A2(unsigned char A2) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A2;
  param.d_uchar = A2;
  buff[3] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 4] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 6);
}

// action: A3
void _uart_A3(unsigned char A1, unsigned char A2) {
  uart_param_t param;
  int i = 0;
  unsigned char buff[UART_SEND_MAX] = {0};
  for (i = 0; i < UART_MSG_HEAD_LEN_UART0_RX; i++) {
      buff[i + 0] = g_uart_send_head_UART0_RX[i];
  }
  buff[2] = U_MSG_A3;
  param.d_uchar = A1;
  buff[3] = param.d_uchar;
  param.d_uchar = A2;
  buff[4] = param.d_uchar;
  for (i = 0; i < UART_MSG_FOOT_LEN_UART0_RX; i++) {
      buff[i + 5] = g_uart_send_foot_UART0_RX[i];
  }
  _uart_send_impl(0, buff, 7);
}

